controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\RegisterForm;
use app\components\Util;
use app\components\NoteConstantes;

class SiteController extends Controller{
    
    use Util;
    
    /* VARIABLES LOCALES */
    private $_response = null;
    
    /* METODOS DE CLASE */
    
    public function behaviors(){
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }
    
    public function actions(){
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }
    
    public function actionIndex(){
        $user = null;
        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post())) {
            $obj = Yii::$app->request->post();
            $user = array(
                "email" => $obj["LoginForm"]["username"],
                "password" => $obj["LoginForm"]["password"],
            );
            $this->_response = $this->callDiana("post", "core/login", json_encode($user));
            if(!isset($this->_response["data"]["error"])){
                $this->_userSession = Yii::$app->session;
                $this->_userSession->set("user",$this->_response["data"]);
                return $this->redirect(['home/index']);
            }else{
                Yii::$app->session->setFlash('loginError');
                return $this->render('home',['model' => $model]);
            }
        }else{
            return $this->render('home',['model' => $model]);
        }
    }
    
    public function actionRegister(){
        $register = new RegisterForm();
        if ($register->load(Yii::$app->request->post())) {
            $obj = Yii::$app->request->post();
            $user = array(
                "email" => $obj["RegisterForm"]["email"],
                "password" => $obj["RegisterForm"]["password"],
                "refname" => $obj["RegisterForm"]["firstName"]." ".$obj["RegisterForm"]["lastName"],
                "bio" => "Lector",
                "type" => "redactor",
                "role" => array(
                    "id" => 2
                )
            );
            $this->_response = $this->callDiana("post", "redactor", json_encode($user));
            if(!isset($this->_response["error"])){
                $register = new RegisterForm();
                Yii::$app->session->setFlash('registerSuccess');
                return $this->render('register',['register' => $register]);
            }else{
                Yii::$app->session->setFlash('registerError');
                return $this->render('register',['register' => $register , "error" => $this->_response["error"]]);
            }
        }else{
            return $this->render('register',['register' => $register]);
        }
    }
    
    public function actionCallSocial(){
        
    }
    
    public function actionLogin(){
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }
        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }
        return $this->render('login', [
            'model' => $model,
        ]);
    }    

    public function actionLogout(){
        Yii::$app->user->logout();
        return $this->goHome();
    }

    public function actionContact(){
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');
            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    public function actionAbout(){
        return $this->render('about');
    }
    
}

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/home.php
<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\helpers\Url;

$this->title = 'Note';
$this->params['breadcrumbs'][] = $this->title;

?>
<div class="container" >
    <div class="row" >
        <div class="col-md-12 col-xs-12 col-lg-12" >
            <div class="col-md-6 col-xs-6 col-lg-6" >
                <br/><br/>
                <h1>Fútbol Social</h1>
                <p style="text-align: justify;" >
                    Lorem Ipsum es simplemente el texto de relleno de las imprentas y archivos de texto. 
                    Lorem Ipsum ha sido el texto de relleno estándar de las industrias desde el año 1500, 
                    cuando un impresor (N. del T. persona que se dedica a la imprenta) desconocido usó una 
                    galería de textos y los mezcló de tal manera que logró hacer un libro de textos especimen. 
                    No sólo sobrevivió 500 años, sino que tambien ingresó como texto de relleno en documentos 
                    electrónicos, quedando esencialmente igual al original. Fue popularizado en los 60s con la
                    creación de las hojas "Letraset", las cuales contenian pasajes de Lorem Ipsum, y más 
                    recientemente con software de autoedición, como por ejemplo Aldus PageMaker, el cual 
                    incluye versiones de Lorem Ipsum.
                </p>
            </div>
            <div class="col-md-6 col-xs-6 col-lg-1" ></div>
            <div class="col-md-6 col-xs-6 col-lg-5" >
                <br/><br/>
                <?php
                    $form = ActiveForm::begin(['id' => 'login-form', 'layout' => 'horizontal', 'action' => Url::to(['site/index']),
                                'fieldConfig' => [
                                    'template' => "<div class=\"form-group\">{label}{input}{error}</div>",
                                    'labelOptions' => ['class' => 'col-lg-1 control-label'],],
                    ]);
                ?>
                <legend>Iniciar Sesión</legend>
                <?= $form->field($model, 'username')->textInput() ?>
                <?= $form->field($model, 'password')->passwordInput() ?>
                <?php if (Yii::$app->session->hasFlash('loginError')) { ?>
                    <div class="alert alert-danger">
                        Usuario o contraseña incorrectos.
                    </div>
                <?php } ?>
                <?= Html::submitButton('Iniciar Sesión', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
                    &nbsp;&nbsp;
                    <a href="#" data-toggle="modal" data-target="#reset_form">Olvidaste tu contraseña?</a>
                    &nbsp;&nbsp;
                    <a href="<?php echo Url::to(['site/register']); ?>">Registrate</a>
                <?php ActiveForm::end(); ?>
            </div>
        </div>
    </div>
    <div class="row" >
        <?php echo $this->render('/partial/_modal.php'); ?>
    </div>
</div>

views/site/index.php
<?php $this->title = 'Note'; ?>

<div class="site-index">
    <div class="jumbotron">
        <h1>Congratulations!</h1>
        <p class="lead">You have successfully created your Yii-powered application.</p>
        <p><a class="btn btn-lg btn-success" href="http://www.yiiframework.com">Get started with Yii</a></p>
    </div>
    <div class="body-content">
        <div class="row">
            <div class="col-lg-4">
                <h2>Heading</h2>
                <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.
                </p>
                <p><a class="btn btn-default" href="http://www.yiiframework.com/doc/">Yii Documentation &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2>Heading</h2>
                <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.
                </p>
                <p><a class="btn btn-default" href="http://www.yiiframework.com/forum/">Yii Forum &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2>Heading</h2>
                <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.
                </p>
                <p><a class="btn btn-default" href="http://www.yiiframework.com/extensions/">Yii Extensions &raquo;</a></p>
            </div>
        </div>
    </div>
</div>

views/site/login.php
<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row" >
    <div class="col-md-12" >
        <ul class="nav nav-tabs">
            <li class="active"><a data-toggle="tab" href="#home">Inicia Sesión</a></li>
            <li><a data-toggle="tab" href="#menu1">Registrate</a></li>
        </ul>
        <div class="tab-content">
            <div id="home" class="tab-pane fade in active">
                <div class="site-login">
                    <h1><?= Html::encode($this->title) ?></h1>
                    <?php
                    $form = ActiveForm::begin([
                                'id' => 'login-form',
                                'layout' => 'horizontal',
                                'fieldConfig' => [
                                    'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
                                    'labelOptions' => ['class' => 'col-lg-1 control-label'],
                                ],
                    ]);
                    ?>
                    <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>
                    <?= $form->field($model, 'password')->passwordInput() ?>
                    <?=
                        $form->field($model, 'rememberMe')->checkbox([
                            'template' => "<div class=\"col-lg-offset-1 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
                        ])
                    ?>
                    <div class="form-group">
                        <div class="col-lg-offset-1 col-lg-11">
                    <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
                        </div>
                    </div>
                    <?php ActiveForm::end(); ?>
                </div>
            </div>
            <div id="menu1" class="tab-pane fade">
                <h3>Menu 1</h3>
                <p>Some content in menu 1.</p>
            </div>
        </div>
    </div>
</div>

views/site/register.php
<?php

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\helpers\Url;

?>
<div class="container">
    <div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8">
             <?php
                $form = ActiveForm::begin(['id' => 'register-form', 'layout' => 'horizontal', 'action' => Url::to(['site/register']),
                                'fieldConfig' => [
                                    'template' => "<div class=\"row\"><div class=\"col-md-6\"><div class=\"form-group\">{label}{input}{error}</div></div></div>",
                                    'labelOptions' => ['class' => 'col-lg-1 control-label'],],
                ]);
            ?>
            <?= $form->field($register, 'email')->textInput() ?>
            <?= $form->field($register, 'password')->passwordInput() ?>
            <?= $form->field($register, 'firstName')->textInput() ?>
            <?= $form->field($register, 'lastName')->textInput() ?>
            <?php if (Yii::$app->session->hasFlash('registerError')) { ?>
                <div class="alert alert-danger"><?php echo $error[0]; ?></div>
            <?php }else if (Yii::$app->session->hasFlash('registerSuccess')) { ?>
                <div class="alert alert-success">Usuario creado correctamente</div>
            <?php } ?>    
            <?= Html::submitButton('Registrate', ['class' => 'btn btn-primary', 'name' => 'register-button']) ?>
            &nbsp;&nbsp;
            <a href="#" id="login" class="btn btn-primary">Inicia con Facebook</a>
            <?php ActiveForm::end(); ?>
        </div>
        <div class="col-md-2"></div>
    </div>
</div>